Subject: Re: Can not stat file with utf char U+F020
From: Gionatan Danti via Cygwin <[email-masked]>
To: Gionatan Danti <[email-masked]>
Cc: [email-masked]
Date: Fri, 14 Apr 2023 22:17:44 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Il 2023-04-14 21:00 Corinna Vinschen ha scritto:
> There's no (good) solution from inside Cygwin.
> [snip]

Yeah, I can only imagine how difficult is to be compatible with posix, 
win32 and the likes.

> Any chance you can just rename the files?

I renamed the files, in fact.

However, it seems that users working with (older?) Office for MAC use 
U+F020 more frequently than I expected, maybe because of that [1]:

"Microsoft's defunct Services For Macintosh feature used U+F001 through 
U+F029 as replacements for special characters allowed in HFS but 
forbidden in NTFS, and U+F02A for the Apple logo."

Any chances to enable a "bypass" for these characters (excluding the one 
you reserved for compatibility as explained detailed in the "Forbidden 
characters in filenames")? Maybe hidden behind a configurable option 
(even disabled by default), so to not interfere with the current 
behavior?

Thanks.

[1] https://en.wikipedia.org/wiki/Private_Use_Areas#Vendor_use

-- 
Danti Gionatan
Supporto Tecnico
Assyoma S.r.l. - www.assyoma.it
email: [email-masked] - [email-masked]
GPG public key ID: FF5F32A8

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple